ru.bitel.bgbilling.kernel.event.events

## Class ServiceUpdateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.ServiceUpdateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ServiceUpdateEvent
      extends QueueEvent

  Асинхронное событие - Изменение/добавления услуги договора.
  Вызывается после изменения/добавления разращенной услуги договора.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServiceUpdateEvent()`
    `` | `ServiceUpdateEvent(int userId, ContractService contractService)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractService` | `getContractService()` Возвращает добавленную/измененную разрешенную услуги.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceUpdateEvent

          protected ServiceUpdateEvent()

    - #### ServiceUpdateEvent

          public ServiceUpdateEvent(int userId,
                                    ContractService contractService)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `contractService` - - разрешенная услуга договора

  - ### Method Detail

    - #### getContractService

          public ContractService getContractService()

      Возвращает добавленную/измененную разрешенную услуги.
      Returns:
        contractService - разрешенная услуга